@font-face {  
	font-family: "FontAwesome";  
	src: url("../fonts/fontawesome-webfont.eot");  
	src: url("../fonts/fontawesome-webfont.eot?#iefix") format('eot'),   
	url("../fonts/fontawesome-webfont.woff") format('woff'),   
	url("../fonts/fontawesome-webfont.ttf") format('truetype'),   
	url("../fonts/fontawesome-webfont.svg#FontAwesome") format('svg');  
	font-weight: normal;  
	font-style: normal;  
}  
canvas#can {
	position: absolute;
	left: 0px;
	top: 0px;
	width: 360px;
	height: 360px;
	z-index: 10;
	pointer-events: none;
}

body h2 {
	text-shadow: 1px 1px 0px white;
}

div#message {
	text-align: center;
	font-size: 20pt;
	color: white;
	text-shadow: 0px 0px 9px black;
}

table#UsersAdminTable td {
	background-color: inherit;
}

div.close {
	text-align: right;
}

a:hover {
	color: red;
}

a{
	color: blue;
	text-decoration: none;
}

div.close a:hover {
	color: red;
}

div.close a {
	color: #ddd;
	font-family: "FontAwesome";
	text-decoration: none;
}
.icon-ft {
	font-family: "FontAwesome";
}
div#newRec {
	position: absolute;
	visibility: hidden;
	left: 20%;
	padding: 20px;
}
div.errors {
	color: red;
	font-weight: bold;
}


div.menu {
	position: absolute;
	top: 50px;
	left: 10px;
	background-color: rgba(45,45,45,0.8);
	padding: 5px 20px 5px 5px;
	z-index: 20;
	visibility: hidden;
	color: #ddd;
	margin-top: auto;
	margin-bottom: auto;
}

div.menu ul {
	list-style-type: none;
}

div.menu ul li:hover {
	border: 1px inset black;
}
div.menu ul li {
	padding: 2px 2px 2px 2px;
	border: 1px outset black;
	border-radius: 5px;
	margin: 0 -5px;
}



div.edit-msg {
	display: inline;
}
div.edit-msg a {
	font-family: "FontAwesome";
	color: black;  
	text-shadow: 0px 1px 1px rgba(250,250,250,0.1);  
	text-decoration: none;  
}
div.edit-msg a:hover {
		color: green;
}

div#header {
	top: 0;
	left: 0;
	right: 0;
/*	width: 100%; */
	border-color: #000;
	padding: 2px;
	position: absolute;
	font-size: 12px;
	background: #2D2D2D /*url(images/micro_carbon.png) repeat*/ ;
	color: #aaa;
	height: 32px;
}
div#header div[id|='menu'] {
	margin-left: 20px;
	float: left;
	margin-top: 10px;
}


div#spacer {
	clear: both;
	height: 20px;	
}
div#main {
	margin-top: 40px;

}

div#status-bar {
	float: right;
	margin-right: 15px;
	margin-top: 10px;
	font-size: 15px;
}

div#logout {
	float: right;
	background-color: rgb(83,87,93);  
	box-shadow: 0px 3px 0px 0px rgb(34,34,34) /*,
	0px 7px 10px 0px rgb(17,17,17),
	inset 0px 1px 1px 0px rgba(250, 250, 250, .2),
	inset 0px -12px 35px 0px rgba(0, 0, 0, .5)*/;
	border: 0;  
	width: 22px;
	height: 22px;
	border-radius: 10px;  
	margin-right: 15px;
	margin-top: 5px;
}

div#logout a {
	font-family: "FontAwesome";
	color: #aaa;  
	text-shadow: 0px 1px 1px rgba(250,250,250,0.1);  
	font-size: 15pt;  
	display: block;  
	text-decoration: none;  
	text-align: center;  
	line-height: 25px;  
}
div#logout a:hover {
		color: red;
}
form#flg {
	margin-bottom: 10px;
}
div#table_name {
	border: 2px solid black;
	border-radius: 10px;
	padding: 5px;
	background-color: #735639;
}
div#table_name table {
	border: none;
	border-collapse: collapse;
	padding: 10px;
}

div#table_name table tr td{
		border-top-left-radius: 10px;
		border-bottom-left-radius: 10px;
		border: none;
		border-collapse: collapse;
		background-color: #963;
		font-weight: bold;
}
div#table_name table tr td+td{
		font-weight: normal;
		border-top-left-radius: 0;
		border-bottom-left-radius: 0;
}
div#table_name table tr td+td+td{
		border-top-right-radius: 10px;
		border-bottom-right-radius: 10px;
}
div#table_name table tr+tr td{
	background-color: black;
	color: white;
}
div#table_name table tr+tr+tr  td{
	background-color: white;
	color: black;
}
div#table_name tr+tr+tr+tr td {
	background-color: #888;
}
/*div#table_name tr+tr+tr+tr td+td {
		border-top-right-radius: 10px;
		border-bottom-right-radius: 10px;
}*/

div#panels-cont {
	z-index: -1;
	position: fixed;
	bottom: 0;
	width: 100%;
}
.tabrow {
	    text-align: center;
	    list-style: none;
	    margin: 200px 0 0px 0px;
	    padding: 0;
	    line-height: 24px;
	    height: 26px;
	    overflow: hidden;
	    font-size: 12px;
	    font-family: verdana;
	    width: 100%;
}
.tabrow li {
	    border: 1px solid #AAA;
	    background: #D1D1D1;
	    background: -o-linear-gradient(top, #ECECEC 50%, #D1D1D1 100%);
	    background: -ms-linear-gradient(top, #ECECEC 50%, #D1D1D1 100%);
	    background: -moz-linear-gradient(top, #ECECEC 50%, #D1D1D1 100%);
	    background: -webkit-linear-gradient(top, #ECECEC 50%, #D1D1D1 100%);
	    background: linear-gradient(top, #ECECEC 50%, #D1D1D1 100%);
	    display: inline-block;
	    position: relative;
	    z-index: 20;
	    border-top-left-radius: 6px;
	    border-top-right-radius: 6px;
	    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.4), inset 0 1px 0 #FFF;
	    text-shadow: 0 1px #FFF;
	    margin: 0 -5px;
	    padding: 0 20px;
}
.tabrow a {
	  color: #555;
	  text-decoration: none;
}
.tabrow li.selected {
    background: #FFF;
    color: #333;
    z-index: 22;
    border-bottom-color: #FFF;
}
	.tabrow:before {
	    position: absolute;
	    content: " ";
	    width: 100%;
	    bottom: 0;
	    left: 0;
	    border-bottom: 1px solid #AAA;
	    z-index: 1;
	}
	.tabrow li:before,
	.tabrow li:after {
	    border: 1px solid #AAA;
	    position: absolute;
	    bottom: -1px;
	    width: 5px;
	    height: 5px;
	    content: " ";
	}
	.tabrow li:before {
	    left: -6px;
	    border-bottom-right-radius: 6px;
	    border-width: 0 1px 1px 0;
	    box-shadow: 2px 2px 0 #D1D1D1;
	}
	.tabrow li:after {
	    right: -6px;
	    border-bottom-left-radius: 6px;
	    border-width: 0 0 1px 1px;
	    box-shadow: -2px 2px 0 #D1D1D1;
	}
	.tabrow li.selected:before {
	    box-shadow: 2px 2px 0 #FFF;
	}
	.tabrow li.selected:after {
	    box-shadow: -2px 2px 0 #FFF;
	}
div.inchess {
	color: red;
	text-decoration: blink;
}

div.cell {
	position:absolute;
}
div.panel-cont {
	padding: 10px;
	background-color: #EED;
	left: 0;
	width: 100%;
	z-index: 50;
}

div#style-chooser {
	z-index: 10;
	position: absolute;
	top: 20px;
	margin: auto;
	background-color: white;
}

fieldset {
	border: 1px solid black;
	border-radius: 10px;
	padding: 5px;
	display: inline-block;
}

div#color-submit {
	position: absolute;
	left: 150px;
	margin-left: 20px;
	top: 220px;
	width: 100px;
	text-align: center;
}

div#color-picker {
	z-index: 10;
	position: absolute;
	top: 20px;
	margin: auto;
	border: 1px solid black;
	border-radius: 20px;
	width: 230px;
	height: 250px;
	padding: 50px;
	background-color: gray;
}

div#ValSlider {
	top: 125px;
}
div.tick-selector {
	position: relative;
	left: -2px;
	top: 0px;
	border: 2px solid black;
	width: 30px;
	height: 5px;
}

div.comp-chooser {
	position: absolute;
	margin-left: 20px;
	width: 30px;
	height: 250px;
}

div#hue-chooser {
	left: 0px;
}

div#sat-chooser {
	left: 50px;
}

div#val-chooser {
	left: 100px;
}

div#color-preview {
	position: absolute;
	left: 150px;
	top: 100px;
	margin-left: 20px;
	width: 100px;
	height: 100px;
}

div#hue-chooser {
 background: -moz-linear-gradient(top, #ff0000 0%, #ffff00 17%, #00ff00 33%, #00ffff 50%, #0000ff 67%, #ff00ff 83%, #ff0000 100%);
    background: -ms-linear-gradient(top, #ff0000 0%, #ffff00 17%, #00ff00 33%, #00ffff 50%, #0000ff 67%, #ff00ff 83%, #ff0000 100%);
    background: -o-linear-gradient(top, #ff0000 0%, #ffff00 17%, #00ff00 33%, #00ffff 50%, #0000ff 67%, #ff00ff 83%, #ff0000 100%);
    background: -webkit-gradient(linear, left top, left bottom, from(#ff0000), color-stop(0.17, #ffff00), color-stop(0.33, #00ff00), color-stop(0.5, #00ffff), color-stop(0.67, #0000ff), color-stop(0.83, #ff00ff), to(#ff0000));
    background: -webkit-linear-gradient(top, #ff0000 0%, #ffff00 17%, #00ff00 33%, #00ffff 50%, #0000ff 67%, #ff00ff 83%, #ff0000 100%);
    background: linear-gradient(top, #ff0000 0%, #ffff00 17%, #00ff00 33%, #00ffff 50%, #0000ff 67%, #ff00ff 83%, #ff0000 100%);
}

td.light {
	background-color: white;
	width: 44px;
	height: 44px;
}

div.light {
	background-color: white;
	width: 44px;
	height: 44px;
	display: table-cell;
}

td.dark {
	background-color: green;
	width: 44px;
	height: 44px;
}
div.dark {
	background-color: green;
	width: 44px;
	height: 44px;
	display: table-cell;
}

h1 {
	text-align: center;
	color: blue;
}

div.mark1 {
    background-color: red;
   /* opacity: 0.4; */
    height: 5px;
    position: absolute;
    width: 5px;
    z-index: 4;
}
div.mark2 {
   
    background-color: blue;
   /* opacity: 0.4; */
    height: 5px;
    position: absolute;
    width: 5px;
    z-index: 4;
}

span.flag {
	padding: 2px;
}

span#flags img {
	width: 30px;
	height: 15px;
}

td.table_bt {
	text-align: center;	
}

a.table_bt::before {
	content: "\00a0\00a0\00a0\00a0\00a0\00a0";
}

a.table_bt::after {
	content: "\00a0\00a0\00a0\00a0\00a0\00a0";
}

.table_turn {
	background-color: rgba(255,0,0,.2);
}

.table_stat {
	background-color: rgba(0,255,0,.2);
}

span.tour2 {
	font-weight: bold;
	color: red;
}

div#prises table tr td img {
	width: 20px;
}
div#prises table tr td {
	border: none;
	padding: 0;
	background-color: transparent;
}

div#prises table {
	border: none;
	padding: 0;
}

div#table_name {
	float: left;
	margin-right: 20px;
}

div#Taken {
	float: left;
}
div#coups{
	float: left;
	margin-left: 20px;
}
form#flg fieldset,form#reg fieldset {
	display: table;
	width: auto;
	padding: 5px;
	border-spacing: 5px;
}
form#flg fieldset div,form#reg fieldset div{
	margin-bottom: 5px;
	display: table-row;
	width: auto;
}
form#flg fieldset div label,input,form#reg fieldset div label,input{
	display: table-cell;
}
form#f fieldset {
	border: none;
}

table#header thead th {
	width: 50px;
}
table#header thead th+th {
	width: 100px;
}
table#header thead th+th+th {
	width: 100px;
}
table#header tbody td {
	width: 50px;
}
table#header tbody td+td {
	width: 100px;
}
table#header tbody td+td+td {
	width: 100px;
}
table#header thead tr {
	display: block;
}
table#header {
/*	border: 1px solid #963; */
}
table#header th {
    background: none repeat scroll 0 0 #C96;
    border-left: 1px solid #EEBB88;
    border-right: 1px solid #BB7744;
    border-top: 1px solid #EEBB88;
    font-weight: bold;
    padding: 4px 3px;
    text-align: left;
}

table#header tbody{
    display: block;
    height: 262px;
    overflow: auto;
    width: 100%;
}
table tbody tr.alternateRow td {
	background: none repeat scroll 0 0 #EEEEEE;
	border-bottom: none;
	border-left: none;
	border-right: 1px solid #CCC;
	border-top: 1px solid #DDD;
	padding: 2px 3px 3px 4px
}
table tbody td, tbody tr.normalRow td {
	background-color: #FFF;
	border-bottom: none;
	border-left: none;
	border-right: 1px solid #CCC;
	border-top: 1px solid #DDD;
	padding: 2px 3px 3px 4px
}

.cbc {
	width: 40px;
	height: 40px;
	font-size: 30px;
	text-align: center;
}

a.CTred{
	color: red;
}

a.CTblue {
	color: blue;
}

div#buttons1 {
	float:left;
}

div#buttonss1 {
	margin-top: 10px;
}

div#buttons2 {
	float:left;
}

div#table_list {
	margin-right: 20px;
}

div#table_list table {
	border-collapse: collapse;
	border: 1px outset white;
}

div#table_list tr td:first-child {
	border-left: 1px solid #DDD;
}
div#table_list tr th {
	background: none repeat scroll 0 0 #C96;
	color: #FFFFFF;
	padding-bottom: 4px;
	padding-top: 5px;
	text-align: left;
}
.chat{
	margin-top: 20px;
	border-radius: 15px;
	float: left;
	width: auto;
	display: inline-block;
	border: 1px inset white;
/*	background-color: #98BF21; */
	background-color: #963;
	color: #fff;
}
div.cell img {
	position: absolute;
	left: 0px;
	top: 0px;
}

div.chat h2 {
	margin-left: 50px;
	margin-top: 5px;
	margin-bottom: 5px;
	text-shadow: 2px 2px 0px black;
}

.chat2{
	overflow: scroll;
	width: 480px;
	height: 300px;
	border-left: 1px gray solid;
	border-bottom: 1px gray solid;
	padding:0px;
	margin: 0px;
	color: #000000;
	background-color: #ffffff;
}


body{
	background-color: #ddd;
	color: black;
}

div#table_list {
	float: left;
}

div#validators {
	padding-top: 20px;
	clear: both;
	display: block;
}

div#board_env {
	margin-top: 20px;
	margin-right: 10px;
	clear: left;
	float: left;
}

div#prises {

}

div.board {
	margin-right: 10px;
	position: relative;
	width: 400px;
	height: 400px;
}

div.board table{
	margin-top: 0;
	margin-bottom: 0;
	border-spacing: 0;
	border-collapse: collapse;
	padding: 0;
	margin: 0;
}

div#board table tr td{
	border: none;
	margin: 0;
	padding: 0;
}

div.board_row div img {display: block;}

div.cadre{
	position: absolute;
	left: 0px;
	top: 0px;
	z-Index: 2;
}
div.board_cont{
	background-color: white;
	position: absolute;
	left: 7px;
	top: 7px;
	z-Index: 4;
	display: table;
}
div.table_row {
	display: table-row;
	width: 360px;
	height: 45px;
}

div.bt{
	position: absolute;
	width: 50px;
	left: 0px;
	top: 0px;
	z-Index: 6;
}


/*#ie {
                top:0px;
                left:0px;
                position: absolute;
                -moz-transform: rotate(-180deg);
                -o-transform: rotate(-180deg);
                -webkit-transform: rotate(-180deg);
                transform: rotate(-180deg);
		-ms-transform: rotate(-180deg);
}*/

div.ccr img{
	display: block;
}
div.cco img {
	display: block;
}
div.ccr {
  box-sizing:border-box;
  -moz-box-sizing:border-box;
  -webkit-box-sizing:border-box;
	border: 3px ridge red;
}
div.Checking {
	border: 3px ridge orange !important;
  box-sizing:border-box;
  -moz-box-sizing:border-box;
  -webkit-box-sizing:border-box;
}

div.Checking img {
	display: block;
}

div.Pinned img {
	display: block;
	width: 98%;
	height: 98%;
}

div.test {
	background-color: #00ffff;
}
div.Pinned {
  box-sizing:border-box;
  -moz-box-sizing:border-box;
  -webkit-box-sizing:border-box;
	border: 3px ridge gray !important;
}
div.cco {
  box-sizing:border-box;
  -moz-box-sizing:border-box;
  -webkit-box-sizing:border-box;
	border: 3px ridge purple;
}

table {
	border-bottom: 1px solid #DDD;
}

th:first-child {
	border-top-left-radius: 6px;
}

th:last-child {
	border-top-right-radius: 6px;
}

th:only-child{
    border-radius: 6px 6px 0 0;
}

span.black {
	color: black;
	background-color: white;
	margin-left: 20px;
}

span.white {
	color: white;
	background-color: black;
}

span.bothw {
	color: #aaa;
	margin-left: 20px;
}
span.bothb {
	color: #555;
	margin-left: 20px;
}
span.both {
	color: #874444;
	margin-left: 20px;
}

span.uncontrolled {
	color: #0000ff;
	margin-left: 20px;
}

div#blabla {
	display: table-cell;
}

div#wbc {
	display: table-cell;
	width: auto;
}

div#NewGamePannel {
	left: 20%;
	width: 80%;
	position: absolute;
	background-color: white;
	border: 1px solid black;
	z-Index: 50;
	border-radius: 10px;
}

.buttonA {
	-moz-box-shadow:inset 0px 1px 0px 0px #ffffff;
	-webkit-box-shadow:inset 0px 1px 0px 0px #ffffff;
	box-shadow:inset 0px 1px 0px 0px #ffffff;
	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #ededed), color-stop(1, #dfdfdf) );
	background:-moz-linear-gradient( center top, #ededed 5%, #dfdfdf 100% );
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#ededed', endColorstr='#dfdfdf');
	background-color:#ededed;
	-moz-border-radius:6px;
	-webkit-border-radius:6px;
	border-radius:6px;
	border:1px solid #dcdcdc;
	display:inline-block;
	color:#777777;
	font-family:Arial;
	font-size:15px;
	font-weight:bold;
	padding:6px 24px;
	text-decoration:none;
	text-shadow:1px 1px 0px #ffffff;
	margin: 5px;
}

.buttonA:hover {
	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #dfdfdf), color-stop(1, #ededed) );
	background:-moz-linear-gradient( center top, #dfdfdf 5%, #ededed 100% );
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#dfdfdf', endColorstr='#ededed');
	background-color:#dfdfdf;
}

.buttonA:active {
	position:relative;
	top:1px;
}
div#menu-INFOS {
	color: red;
}
div#avatar img {
	display: block;
	width: 27px;
	height: 27px;
}
div#avatar {
	float: left;
	border: 1px inset black;
	margin: 2px;
	background-color: white;
	border-radius: 5px;
}

span.chat-avatar img {
	width: 27px;
	height: 27px;
}

div.i-user {
	display: block;
}
div.i-user img {
	margin-right: 10px;
	width: 30px;
	height: 30px;
}

.menu-icon {
	font-family: "FontAwesome";
	color: #ddd;
	float: left;
}
div#users-menu ul li img {
	width: 32px;
	height: 32px;
}
.menu-icon a:hover {
	color: #f00;
}
.menu-icon a {
	color: #ddd;
	text-decoration: none;
}
input#f-bt-sub {
	margin-left: 10px;
}

a.selected {
	color: #f00;
}

div.MarkC {
	position: relative;
	background-color: rgba(150,200,0,0.5);
	width: 50%;
	height: 50%;
	border-radius: 50%;
	left: 25%;
  top: 25%;
	pointer-events: none;
	z-index: 10;
}

div.alert {
	display: inline-block;	
	padding: 9px;
	margin-bottom: 10px;
	clear: both;
	background-color: orange;
	font-weight: bold;
}

div.info {
	display: inline-block;	
	padding: 9px;
	margin-bottom: 10px;
	clear: both;
	background-color: green;
	font-weight: bold;
}

div.Turn {
	width: 16px;
	height: 16px;
	border: solid 1px black;
	margin-right: -11px;	
	position: absolute;
	left: 380px;
}

div.WTurn {
	background-color: white;
}

div.BTurn {
	background-color: black;
}

div.TopTurn {
	top: 0px;
}

div.BottomTurn {
	top: 360px;
}

.dialog {
	width: 300px;
	height: 200px;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	margin: auto;
	border: 1px solid black;
	border-radius: 5px;
	background-color: white;
	z-index: 1000;
}

.dialog .titel {
	height: 30px;
	background-color: blue;
	color: white;
	font-weight: bold;
	font-size: 15pt;
	padding-left: 20px;
	padding-top: 5px;
	padding-bottom: 5px;
}

.dialog .icon {
	float: left;
	height: 120px;
	padding-top: 30px;
	margin-left: 20px;
}

.icon img {
	width: 60px;
}
	
.dialog .msg {
	float: left;
	margin-left: 10px;
	margin-top: 15px;
	text-align: center;
	line-height: 120px;
	width: 170px;
	height: 120px;
}

div#ping {
	float: left;
	margin-left: 10px;
	margin-top: 10px;
}
div#ping::before {
	content: "Ping: ";
}

div.promote div.msg {
	line-height: 60px;
}

div.container {
	text-align: center;
}


div.center {
	display: inline-block;
	margin: 0 auto;
	clear: both;
}

div.container fieldset {
	background-color: whitesmoke;
	padding: 20px !important;
}

div#newreg fieldset {
	display: inline-block;
}
